## linux-4.9 4.9.210

=== Makefile ===
VERSION = 4
PATCHLEVEL = 9
SUBLEVEL = 210
EXTRAVERSION =
NAME = Roaring Lionus

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# o Do not use make's built-in rules and variables
#   (this increases performance and avoids hard-to-debug behaviour);
# o Look for make include files relative to root of kernel src
MAKEFLAGS += -rR --include-dir=$(CURDIR)

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter 4.%,$(MAKE_VERSION)),)	# make-4
ifneq ($(filter %s ,$(firstword x$(MAKEFLAGS))),)
  quiet=silent_
  tools_silent=s
endif
else					# make-3.8x
ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
  tools_silent=-s
endif
endif

export quiet Q KBUILD_VERBOSE

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(words $(subst :, ,$(CURDIR))), 1)
  $(error main directory cannot contain spaces nor colons)
endif

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) \
								&& /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error failed to create output directory "$(saved-output)"))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

sub-make:
	$(Q)$(MAKE) -C $(KBUILD_OUTPUT) KBUILD_SRC=$(CURDIR) \
	-f $(CURDIR)/Makefile $(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

ifeq ($(KBUILD_SRC),)
        # building in the source tree
        srctree := .
else
        ifeq ($(KBUILD_SRC)/,$(dir $(CURDIR)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(KBUILD_SRC)
        endif
endif
objtree		:= .
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH

# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
				  -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ -e s/aarch64.*/arm64/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   := -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer -std=gnu89
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

# If we have only "make modules", don't compile built-in objects.
# When we're building modules with modversions, we need to consider
# the built-in objects during the descend as well, in order to
# make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

# If we have "make <whatever> modules", compile modules
# in addition to whatever we do anyway.
# Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# We need some generic definitions (do not try to remake the file).
scripts/Kbuild.include: ;
include scripts/Kbuild.include

# Make variables (CC, etc...)
AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
PYTHON		= python
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
NOSTDINC_FLAGS  =
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
LDFLAGS_vmlinux =

# Use USERINCLUDE when you must reference the UAPI directories only.
USERINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include/uapi \
		-I$(objtree)/arch/$(hdr-arch)/include/generated/uapi \
		-I$(srctree)/include/uapi \
		-I$(objtree)/include/generated/uapi \
                -include $(srctree)/include/linux/kconfig.h

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include \
		-I$(objtree)/arch/$(hdr-arch)/include/generated/uapi \
		-I$(objtree)/arch/$(hdr-arch)/include/generated \
		$(if $(KBUILD_SRC), -I$(srctree)/include) \
		-I$(objtree)/include

LINUXINCLUDE	+= $(filter-out $(LINUXINCLUDE),$(USERINCLUDE))

KBUILD_AFLAGS   := -D__ASSEMBLY__
KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common -fshort-wchar \

=== debian/changelog ===
linux-4.9 (4.9.210-1~deb8u1) jessie-security; urgency=medium

  * Backport to jessie:
    - Change ABI number to 0.bpo.12

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 21 Feb 2020 02:42:48 +0000

linux (4.9.210-1) stretch; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.190
    - usb: usbfs: fix double-free of usb memory upon submiturb error
    - usb: iowarrior: fix deadlock on disconnect
    - sound: fix a memory leak bug
    - [x86] mm: Check for pfn instead of page in vmalloc_sync_one()
    - [x86] mm: Sync also unmappings in vmalloc_sync_all()
    - mm/vmalloc: Sync unmappings in __purge_vmap_area_lazy()
    - perf record: Fix wrong size in perf_record_mmap for last kernel module
    - perf db-export: Fix thread__exec_comm()
    - [s390x] perf record: Fix module size on s390
    - usb: yurex: Fix use-after-free in yurex_delete (CVE-2019-19531)
    - can: peak_usb: fix potential double kfree_skb()
    - netfilter: nfnetlink: avoid deadlock due to synchronous request_module
    - mac80211: don't warn about CW params when not using them
    - hwmon: (nct6775) Fix register address and added missed tolerance for
      nct6106
    - [s390x] qdio: add sanity checks to the fast-requeue path
    - ALSA: compress: Fix regression on compressed capture streams
    - ALSA: compress: Prevent bypasses of set_params
    - ALSA: compress: Don't allow paritial drain operations on capture streams
    - ALSA: compress: Be more restrictive about when a drain is allowed
    - perf probe: Avoid calling freeing routine multiple times for same pointer
    - drbd: dynamically allocate shash descriptor
    - ACPI/IORT: Fix off-by-one check in iort_dev_find_its_id()
    - scsi: megaraid_sas: fix panic on loading firmware crashdump
    - [ppc64el] scsi: ibmvfc: fix WARN_ON during event pool release
    - scsi: scsi_dh_alua: always use a 2 second delay before retrying RTPG
    - tty/ldsem, locking/rwsem: Add missing ACQUIRE to read_failed sleep loop
    - perf/core: Fix creating kernel counters for PMUs that override event->cpu
    - can: peak_usb: pcan_usb_pro: Fix info-leaks to USB devices
      (CVE-2019-19536)
    - can: peak_usb: pcan_usb_fd: Fix info-leaks to USB devices
      (CVE-2019-19535)
    - ALSA: firewire: fix a memory leak bug
    - ALSA: hda - Don't override global PCM hw info flag
    - mac80211: don't WARN on short WMM parameters from AP
    - SMB3: Fix deadlock in validate negotiate hits reconnect
    - smb3: send CAP_DFS capability during session setup
    - mwifiex: fix 802.11n/WPA detection
    - iwlwifi: don't unmap as page memory that was mapped as single
    - scsi: mpt3sas: Use 63-bit DMA addressing on SAS35 HBA
    - mm/usercopy: use memory range to be accessed for wraparound check
    - mm/memcontrol.c: fix use after free in mem_cgroup_iter()
    - bpf: get rid of pure_initcall dependency to enable jits
    - bpf: restrict access to core bpf sysctls
    - bpf: add bpf_jit_limit knob to restrict unpriv allocations
    - ALSA: hda - Fix a memory leak bug
    - ALSA: hda - Add a generic reboot_notify
    - ALSA: hda - Let all conexant codec enter D3 when rebooting
    - HID: holtek: test for sanity of intfdata
    - HID: hiddev: avoid opening a disconnected device (CVE-2019-19527)
    - HID: hiddev: do cleanup in failure of opening a device (CVE-2019-19527)
    - Input: kbtab - sanity check for endpoint type
    - Input: iforce - add sanity checks
    - net: usb: pegasus: fix improper read if get_registers() fail
    - xen/pciback: remove set but not used variable 'old_state'
    - perf header: Fix divide by zero error if f_header.attr_size==0
    - perf header: Fix use of unitialized value warning
    - libata: zpodd: Fix small read overflow in zpodd_get_mech_type()
    - scsi: hpsa: correct scsi command status issue after reset
    - ata: libahci: do not complain in case of deferred probe
    - [arm64] efi: fix variable 'si' set but not used
    - [arm64] mm: fix variable 'pud' set but not used
    - IB/core: Add mitigation for Spectre V1
    - IB/mad: Fix use-after-free in ib mad completion handling
    - ocfs2: remove set but not used variable 'last_hash'
    - [x86] staging: comedi: dt3000: Fix signed integer overflow 'divider *
      base'
    - [x86] staging: comedi: dt3000: Fix rounding up of timer divisor
    - USB: core: Fix races in character device registration and deregistraion
      (CVE-2019-19537)
    - usb: cdc-acm: make sure a refcount is taken early enough (CVE-2019-19530)
    - USB: CDC: fix sanity checks in CDC union parser
    - asm-generic: fix -Wtype-limits compiler warnings
    - bpf: fix bpf_jit_limit knob for PAGE_SIZE >= 64K
    - [arm64] compat: Allow single-byte watchpoints on all addresses
    - Input: psmouse - fix build error of multiple definition
    - [x86] iommu/amd: Move iommu_init_pci() to .init section
    - bnx2x: Fix VF's VLAN reconfiguration in reload.
    - net/packet: fix race in tpacket_snd()
    - sctp: fix the transport error_count check
    - xen/netback: Reset nr_frags before freeing skb
    - net/mlx5e: Only support tx/rx pause setting for port owner
    - net/mlx5e: Use flow keys dissector to parse packets for ARFS
    - team: Add vlan tx offload to hw_enc_features
    - bonding: Add vlan tx offload to hw_enc_features
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.191
    - [mips*] kernel: only use i8253 clocksource with periodic clockevent
    - netfilter: ebtables: fix a memory leak bug in compat
    - ASoC: dapm: Fix handling of custom_stop_condition on DAPM graph walks
    - bonding: Force slave speed check after link state recovery for 802.3ad
    - can: dev: call netif_carrier_off() in register_candev()
    - [armhf] ASoC: ti: davinci-mcasp: Correct slot_width posed constraint
    - isdn: mISDN: hfcsusb: Fix possible null-pointer dereferences in
      start_isoc_chain()
    - isdn: hfcsusb: Fix mISDN driver crash caused by transfer buffer on the


=== debian/tests/control ===
Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.9.0-0.bpo.12-alpha-generic [alpha], linux-image-4.9.0-0.bpo.12-alpha-smp [alpha], linux-image-4.9.0-0.bpo.12-amd64 [amd64], linux-image-4.9.0-0.bpo.12-rt-amd64 [amd64], linux-image-4.9.0-0.bpo.12-arm64 [arm64], linux-image-4.9.0-0.bpo.12-marvell [armel], linux-image-4.9.0-0.bpo.12-armmp [armhf], linux-image-4.9.0-0.bpo.12-armmp-lpae [armhf], linux-image-4.9.0-0.bpo.12-parisc [hppa], linux-image-4.9.0-0.bpo.12-parisc64-smp [hppa], linux-image-4.9.0-0.bpo.12-686 [i386], linux-image-4.9.0-0.bpo.12-686-pae [i386], linux-image-4.9.0-0.bpo.12-rt-686-pae [i386], linux-image-4.9.0-0.bpo.12-m68k [m68k], linux-image-4.9.0-0.bpo.12-4kc-malta [mips mipsel], linux-image-4.9.0-0.bpo.12-5kc-malta [mips mipsel mips64 mips64el], linux-image-4.9.0-0.bpo.12-octeon [mips mipsel mips64 mips64el], linux-image-4.9.0-0.bpo.12-loongson-3 [mipsel mips64el], linux-image-4.9.0-0.bpo.12-powerpc [powerpc], linux-image-4.9.0-0.bpo.12-powerpc-smp [powerpc], linux-image-4.9.0-0.bpo.12-powerpc64 [powerpc ppc64], linux-image-4.9.0-0.bpo.12-powerpcspe [powerpcspe], linux-image-4.9.0-0.bpo.12-powerpc64le [ppc64el], linux-image-4.9.0-0.bpo.12-s390x [s390x], linux-image-4.9.0-0.bpo.12-sh7751r [sh4], linux-image-4.9.0-0.bpo.12-sh7785lcr [sh4], linux-image-4.9.0-0.bpo.12-sparc64 [sparc64], linux-image-4.9.0-0.bpo.12-sparc64-smp [sparc64]
Classes: smp

## linux-4.9 4.9.240

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 4
 PATCHLEVEL = 9
-SUBLEVEL = 210
+SUBLEVEL = 240
 EXTRAVERSION =
 NAME = Roaring Lionus
 
@@ -313,12 +313,8 @@
 KBUILD_BUILTIN := 1
 
 # If we have only "make modules", don't compile built-in objects.
-# When we're building modules with modversions, we need to consider
-# the built-in objects during the descend as well, in order to
-# make sure the checksums are up to date before we record them.
-
 ifeq ($(MAKECMDGOALS),modules)
-  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
+  KBUILD_BUILTIN :=
 endif
 
 # If we have "make <whatever> modules", compile modules
@@ -390,3 +386,11 @@
 KBUILD_AFLAGS   := -D__ASSEMBLY__
 KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
 		   -fno-strict-aliasing -fno-common -fshort-wchar \
+		   -Werror-implicit-function-declaration \
+		   -Wno-format-security \
+		   -std=gnu89
+KBUILD_CPPFLAGS := -D__KERNEL__
+KBUILD_AFLAGS_KERNEL :=
+KBUILD_CFLAGS_KERNEL :=
+KBUILD_AFLAGS_MODULE  := -DMODULE
+KBUILD_CFLAGS_MODULE  := -DMODULE

=== debian/changelog ===
linux-4.9 (4.9.240-2~deb8u1) jessie-security; urgency=medium

  * Backport to jessie.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 31 Oct 2020 09:04:45 +0100

linux (4.9.240-2) stretch-security; urgency=high

  * xen/events: don't use chip_data for legacy IRQs (Closes: #973417)

 -- Ben Hutchings <benh@debian.org>  Fri, 30 Oct 2020 18:26:41 +0000

linux-4.9 (4.9.240-1~deb8u1) jessie-security; urgency=medium

  * Backport to jessie:
    - Change ABI number to 0.bpo.14

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 30 Oct 2020 09:54:12 +0100

linux (4.9.240-1) stretch-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.229
    - [armhf] clk: sunxi: Fix incorrect usage of round_down()
    - [x86] i2c: piix4: Detect secondary SMBus controller on AMD AM4 chipsets
    - [x86] iio: pressure: bmp280: Tolerate IRQ before registering
    - [arm64] clk: qcom: msm8916: Fix the address location of pll->config_reg
    - [arm64] backlight: lp855x: Ensure regulators are disabled on probe
      failure
    - [i386] ALSA: isa/wavefront: prevent out of bounds write in ioctl
    - scsi: qla2xxx: Fix issue with adapter's stopping state
    - [x86] iio: bmp280: fix compensation of humidity
    - [i386] i2c: pxa: clear all master action bits in i2c_pxa_stop_message()
    - usblp: poison URBs upon disconnect
    - [arm64] PCI: aardvark: Don't blindly enable ASPM L0s and don't write to
      read-only register
    - vfio/pci: fix memory leaks in alloc_perm_bits()
    - scsi: lpfc: Fix lpfc_nodelist leak when processing unsolicited event
    - nfsd: Fix svc_xprt refcnt leak when setup callback client failed
    - yam: fix possible memory leak in yam_init_driver
    - mksysmap: Fix the mismatch of '.L' symbols in System.map
    - scsi: sr: Fix sr_probe() missing deallocate of device minor
    - tty: hvc: Fix data abort due to race in hvc_open
    - [i386] i2c: pxa: fix i2c_pxa_scream_blue_murder() debug output
    - [arm64,armhf] serial: amba-pl011: Make sure we initialize the port.lock
      spinlock
    - drivers: base: Fix NULL pointer exception in __platform_driver_probe() if
      a driver developer is foolish
    - PCI/ASPM: Allow ASPM on links to PCIe-to-PCI/PCI-X Bridges
    - scsi: mpt3sas: Fix double free warnings
    - dlm: remove BUG() before panic()
    - tty: n_gsm: Fix SOF skipping
    - tty: n_gsm: Fix waking up upper tty layer when room available
    - vfio-pci: Mask cap zero
    - [arm64] drm/msm/mdp5: Fix mdp5_init error path for failed mdp5_kms
      allocation
    - [armhf] USB: host: ehci-mxc: Add error handling in ehci_mxc_drv_probe()
    - tty: n_gsm: Fix bogus i++ in gsm_data_kick
    - [armhf] clk: samsung: exynos5433: Add IGNORE_UNUSED flag to sclk_i2s1
    - PCI/PTM: Inherit Switch Downstream Port PTM settings from Upstream Port
    - IB/cma: Fix ports memory leak in cma_configfs
    - [arm64,armhf] usb: dwc2: gadget: move gadget resume after the core is in
      L0 state
    - usb: gadget: Fix issue with config_ep_by_speed function
    - [arm64,armhf] clk: bcm2835: Fix return type of bcm2835_register_gate
    - net: sunrpc: Fix off-by-one issues in 'rpc_ntop6'
    - NFSv4.1 fix rpc_call_done assignment for BIND_CONN_TO_SESSION
    - extcon: adc-jack: Fix an error handling path in 'adc_jack_probe()'
    - gfs2: Allow lock_nolock mount to specify jid=X
    - scsi: iscsi: Fix reference count leak in iscsi_boot_create_kobj
    - [armhf] crypto: omap-sham - add proper load balancing support for
      multicore
    - lib/zlib: remove outdated and incorrect pre-increment optimization
    - perf report: Fix NULL pointer dereference in
      hists__fprintf_nr_sample_events()
    - bcache: fix potential deadlock problem in btree_gc_coalesce
      (CVE-2020-12771)
    - block: Fix use-after-free in blkdev_get()
    - libata: Use per port sync for detach
    - drm: encoder_slave: fix refcouting error for modules
    - drm/dp_mst: Reformat drm_dp_check_act_status() a bit
    - drm/qxl: Use correct notify port address when creating cursor ring
    - selinux: fix double free
    - ext4: fix partial cluster initialization when splitting extent
    - drm/dp_mst: Increase ACT retry timeout to 3s
    - [x86] boot/compressed: Relax sed symbol type regex for LLVM ld.lld
    - block: nr_sects_write(): Disable preemption on seqcount write
    - [x86] drm/i915: Whitelist context-local timestamp in the gen9 cmdparser
    - crypto: algboss - don't wait during notifier callback
    - kprobes: Fix to protect kick_kprobe_optimizer() by kprobe_mutex
    - [x86] kprobes: Avoid kretprobe recursion bug
    - kretprobe: Prevent triggering kretprobe from within kprobe_flush_task
    - e1000e: Do not wake up the system via WOL if device wakeup is disabled
    - net: core: device_rename: Use rwsem instead of a seqcount
    - media: dvb_frontend: initialize variable s with FE_NONE instead of 0
    - media: dvb/frontend.h: move out a private internal structure
    - media: dvb/frontend.h: document the uAPI file
    - media: dvb_frontend: get rid of get_property() callback
    - media: stv0288: get rid of set_property boilerplate
    - media: stv6110: get rid of a srate dead code
    - media: friio-fe: get rid of set_property()
    - media: dvb_frontend: get rid of set_property() callback
    - media: dvb_frontend: cleanup dvb_frontend_ioctl_properties()
    - media: dvb_frontend: cleanup ioctl handling logic
    - media: dvb_frontend: get rid of property cache's state
    - media: dvb_frontend: better document the -EPERM condition
    - media: dvb_frontend: fix return values for FE_SET_PROPERTY
    - media: dvb_frontend: dtv_property_process_set() cleanups
    - media: dvb_frontend: be sure to init dvb_frontend_handle_ioctl() return
      code
    - media: dvb_frontend: Add unlocked_ioctl in dvb_frontend.c
    - media: dvb_frontend: Add compat_ioctl callback
    - media: dvb_frontend: Add commands implementation for compat ioct


## linux-4.9 4.9.246

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 4
 PATCHLEVEL = 9
-SUBLEVEL = 240
+SUBLEVEL = 246
 EXTRAVERSION =
 NAME = Roaring Lionus

=== debian/changelog ===
linux-4.9 (4.9.246-2~deb8u1) jessie-security; urgency=medium

  * Backport to jessie.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 23 Dec 2020 09:27:27 +0100

linux (4.9.246-2) stretch-security; urgency=high

  * [arm64] Fix FTBFS after Xen netback fix:
    - arm64: Remove redundant mov from LL/SC cmpxchg
    - arm64: Avoid redundant type conversions in xchg() and cmpxchg()
    - arm64: cmpxchg: Use "K" instead of "L" for ll/sc immediate constraint
    - arm64: Use correct ll/sc atomic constraints

 -- Ben Hutchings <benh@debian.org>  Thu, 17 Dec 2020 13:51:31 +0100

linux (4.9.246-1) stretch-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.241
    - tipc: fix the skb_unshare() in tipc_buf_append()
    - net/ipv4: always honour route mtu during forwarding
    - r8169: fix data corruption issue on RTL8402
    - ALSA: bebob: potential info leak in hwdep_read()
    - net: hdlc: In hdlc_rcv, check to make sure dev is an HDLC device
    - net: hdlc_raw_eth: Clear the IFF_TX_SKB_SHARING flag after calling
      ether_setup
    - nfc: Ensure presence of NFC_ATTR_FIRMWARE_NAME attribute in
      nfc_genl_fw_download()
    - tcp: fix to update snd_wl1 in bulk receiver fast path
    - icmp: randomize the global rate limiter (CVE-2020-25705)
    - cifs: remove bogus debug code
    - [x86] KVM: x86/mmu: Commit zap of remaining invalid pages when recovering
      lpages
    - ima: Don't ignore errors from crypto_shash_update()
    - crypto: algif_aead - Do not set MAY_BACKLOG on the async path
    - [x86] EDAC/i5100: Fix error handling order in i5100_init_one()
    - [armhf] media: Revert "media: exynos4-is: Add missed check for
      pinctrl_lookup_state()"
    - [armhf] media: omap3isp: Fix memleak in isp_probe
    - [armhf] crypto: omap-sham - fix digcnt register handling with export/
      import
    - [armhf] media: ti-vpe: Fix a missing check and reference count leak
    - regulator: resolve supply after creating regulator
    - ath10k: provide survey info as accumulated data
    - ath6kl: prevent potential array overflow in ath6kl_add_new_sta()
    - ath9k: Fix potential out of bounds in ath9k_htc_txcompletion_cb()
    - wcn36xx: Fix reported 802.11n rx_highest rate wcn3660/wcn3680
    - [arm64] ASoC: qcom: lpass-platform: fix memory leak
    - mwifiex: Do not use GFP_KERNEL in atomic context
    - [x86] drm/gma500: fix error check
    - scsi: qla4xxx: Fix an error handling path in 'qla4xxx_get_host_stats()'
    - scsi: csiostor: Fix wrong return value in csio_hw_prep_fw()
    - [x86] VMCI: check return value of get_user_pages_fast() for errors
    - tty: serial: earlycon dependency
    - pty: do tty_flip_buffer_push without port->lock in pty_write
    - [x86] video: fbdev: vga16fb: fix setting of pixclock because a pass-by-
      value error
    - video: fbdev: sis: fix null ptr dereference
    - HID: roccat: add bounds checking in kone_sysfs_write_settings()
    - ath6kl: wmi: prevent a shift wrapping bug in
      ath6kl_wmi_delete_pstream_cmd()
    - [amd64] misc: mic: scif: Fix error handling path
    - ALSA: seq: oss: Avoid mutex lock for a long-time ioctl
    - quota: clear padding in v2r1_mem2diskdqb()
    - net: enic: Cure the enic api locking trainwreck
    - iwlwifi: mvm: split a print to avoid a WARNING in ROC
    - usb: gadget: f_ncm: fix ncm_bitrate for SuperSpeed and above.
    - nl80211: fix non-split wiphy information
    - scsi: be2iscsi: Fix a theoretical leak in beiscsi_create_eqs()
    - mwifiex: fix double free
    - IB/mlx4: Fix starvation in paravirt mux/demux
    - IB/mlx4: Adjust delayed work when a dup is observed
    - mtd: lpddr: fix excessive stack usage with clang
    - mtd: mtdoops: Don't write panic data twice
    - [armel,armhf] 9007/1: l2c: fix prefetch bits init in L2X0_AUX_CTRL using
      DT values
    - RDMA/qedr: Fix use of uninitialized field
    - [x86] perf intel-pt: Fix "context_switch event has no tid" error
    - [arm64] RDMA/hns: Set the unsupported wr opcode
    - overflow: Include header file with SIZE_MAX declaration
    - IB/rdmavt: Fix sizeof mismatch
    - rapidio: fix error handling path
    - rapidio: fix the missed put_device() for rio_mport_add_riodev
    - [arm64,armhf] clk: bcm2835: add missing release if devm_clk_hw_register
      fails
    - vfio/pci: Clear token on bypass registration failure
    - [armhf] Input: omap4-keypad - fix handling of platform_get_irq() error
    - [armhf] Input: twl4030_keypad - fix handling of platform_get_irq() error
    - [armhf] Input: sun4i-ps2 - fix handling of platform_get_irq() error
    - [x86] KVM: x86: emulating RDPID failure shall return #UD rather than #GP
    - [arm64] dts: qcom: msm8916: Fix MDP/DSI interrupts
    - [arm64] dts: zynqmp: Remove additional compatible string for i2c IPs
    - nvmet: fix uninitialized work for zero kato
    - [x86] crypto: ccp - fix error handling
    - media: firewire: fix memory leak
    - media: ati_remote: sanity check for both endpoints
    - [armhf] media: exynos4-is: Fix several reference count leaks due to
      pm_runtime_get_sync
    - [armhf] media: exynos4-is: Fix a reference count leak due to
      pm_runtime_get_sync
    - [armhf] media: exynos4-is: Fix a reference count leak
    - media: media/pci: prevent memory leak in bttv_probe
    - media: uvcvideo: Ensure all probed info is returned to v4l2
    - mmc: sdio: Check for CISTPL_VERS_1 buffer size
    - media: saa7134: avoid a shift overflow
    - fs: dlm: fix configfs memory leak
    - ntfs: add check for mft record size in superblock
    - PM: hibernate: remove the bogus call to get_gendisk() in
      software_resume()
    - scsi: mvumi: Fix error return in mvumi_io_attach()
    - scsi: target: core: Add CONTROL field for trace events
    - [amd64] mic: vop: copy data to kernel space then write to io memory
    - [amd64] misc: vop: add round_up(x,4) for vring_size to avoid kernel panic


=== debian/control ===
Source: linux-4.9
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper, dh-exec, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, kmod <!stage1>, bc <!stage1>, libssl-dev:native <!stage1>, libssl-dev [linux-any] <!stage1 !pkg.linux.notools cross>, openssl (>= 1.1.0-1~) <!stage1> | openssl:native <!stage1>, asciidoc <!stage1 !nodoc !pkg.linux.notools>, xmlto <!stage1 !nodoc !pkg.linux.notools>, bison <!stage1 !pkg.linux.notools !nopython>, flex <!stage1 !pkg.linux.notools !nopython>, gcc-multilib [amd64 ppc64 s390x sparc64] <!stage1 !pkg.linux.notools !nopython>, libaudit-dev <!stage1 !pkg.linux.notools !nopython>, libdw-dev <!stage1 !pkg.linux.notools !nopython>, libelf-dev <!stage1 !pkg.linux.notools !nopython>, libiberty-dev <!stage1 !pkg.linux.notools !nopython>, libnewt-dev <!stage1 !pkg.linux.notools !nopython>, libnuma-dev [amd64 arm64 hppa i386 mips mips64 mips64el mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el powerpc powerpcspe ppc64 ppc64el sparc x32] <!stage1 !pkg.linux.notools !nopython>, libperl-dev <!stage1 !pkg.linux.notools !nopython>, libunwind8-dev [amd64 armel armhf arm64 i386] <!stage1 !pkg.linux.notools !nopython>, python-dev <!stage1 !pkg.linux.notools !nopython>, autoconf <!stage1 !pkg.linux.notools>, automake <!stage1 !pkg.linux.notools>, libtool <!stage1 !pkg.linux.notools>, libglib2.0-dev <!stage1 !pkg.linux.notools>, libudev-dev <!stage1 !pkg.linux.notools>, libwrap0-dev <!stage1 !pkg.linux.notools>, rsync <!stage1 !pkg.linux.notools>, libpci-dev <!stage1 !pkg.linux.notools>, dh-python <!stage1>, dh-systemd <!stage1 !pkg.linux.notools>, gcc-4.9 [alpha arm64 armel armhf hppa mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64], gcc-4.9 (>= 4.9.2-10+deb7u1) [amd64 i386], gcc-4.9 (<< 4.9.2-11) [amd64 i386], binutils-hppa64 [hppa], gcc-4.9-hppa64 [hppa], gcc-4.8 [m68k]
Build-Depends-Indep: patchutils <!stage1>, python-sphinx <!stage1 !nodoc>, python-sphinx-rtd-theme <!stage1 !nodoc>, xmlto <!stage1 !nodoc>
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-source-4.9
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 4.9 with Debian patches
 This package provides source code for the Linux kernel version 4.9. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-support-4.9.0-0.bpo.14
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 4.9
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-doc-4.9
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 4.9
 This package provides the various README files and HTML documentation for
 the Linux kernel version 4.9.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-4.9/Documentation/00-INDEX for the detailed
 description of the contents.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-manual-4.9
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 4.9
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-kbuild-4.9
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Kbuild infrastructure for Linux 4.9
 This package provides the kbuild infrastructure for the headers packages
 for Linux kernel version 4.9.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: foreign

Package: linux-perf-4.9
Architecture: alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64
Section: devel
Provides: linux-tools-4.9
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python:Depends}
Recommends: linux-base
Suggests: linux-doc-4.9
Replaces: linux-tools-4.9
Conflicts: linux-tools-4.9
Description: Performance analysis tools for Linux 4.9
 This package contains the 'perf' performance analysis tools for Linux
 kernel version 4.9.
 .
 The linux-base package contains a 'perf' command which will invoke the
 appropriate version for the running kernel.
Build-Profiles: <!stage1 !pkg.linux.notools !nopython>

Package: linux-headers-4.9.0-0.bpo.14-common
Architecture: all
Depends: ${misc:Depends}
Description: Common header files for Linux 4.9.0-0.bpo.14
 This package provides the common kernel header files for Linux kernel
 version 4.9.0-0.bpo.14, generally used for building out-of-tree kernel
 modules.  To obtain a complete set of headers you also need to install the
 linux-headers-4.9.0-0.bpo.14-(flavour) package, matching the flavour of
 the kernel you intend the build for.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-headers-4.9.0-0.bpo.14-common-rt
Architecture: all
Depends: ${misc:Depends}
Description: Common header files for Linux 4.9.0-0.bpo.14-rt
 This package provides the common kernel header files for Linux kernel
 version 4.9.0-0.bpo.14 with the PREEMPT_RT featureset, generally used for
 building out-of-tree kernel modules.  To obtain a complete set of headers
 you also need to install the linux-headers-4.9.0-0.bpo.14-(flavour)
 package, matching the flavour of the kernel you intend the build for.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-headers-4.9.0-0.bpo.14-all
Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64
Depends: linux-headers-4.9.0-0.bpo.14-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 4.9 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 4.9, generally used for building out-of-tree
 kernel modules.
Build-Profiles: <!stage1>

Package: linux-headers-4.9.0-0.bpo.14-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-4.9.0-0.bpo.14-alpha-generic (= ${binary:Version}), linux-headers-4.9.0-0.bpo.14-alpha-smp (= ${binary:Version})
Description: All header files for Linux 4.9 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 4.9, generally used for building out-of-tree
 kernel modules.
Build-Profiles: <!stage1>

Package: linux-image-4.9.0-0.bpo.14-alpha-generic
Architecture: alpha
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-4.9, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: initramfs-tools (<< 0.120+deb8u2)
Description: Linux 4.9 for Alpha
 The Linux kernel 4.9 and modules for use on DEC Alpha systems with
 extended kernel start address (Wildfire, Titan, Marvel).
Build-Profiles: <!stage1>

Package: linux-headers-4.9.0-0.bpo.14-alpha-generic
Architecture: alpha
Depends: linux-headers-4.9.0-0.bpo.14-common (= ${source:Version}), linux-kbuild-4.9 (>= ${source:Version}), ${misc:Depends}, gcc-4.9
Description: Header files for Linux 4.9.0-0.bpo.14-alpha-generic
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.9.0-0.bpo.14-alpha-generic, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.9.0-0.bpo.14-alpha-generic, and can be used for
 building modules that load into the kernel provided by the
 linux-image-4.9.0-0.bpo.14-alpha-generic package.
Build-Profiles: <!stage1>

Package: linux-image-4.9.0-0.bpo.14-alpha-smp
Architecture: alpha
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-4.9, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: initramfs-tools (<< 0.120+deb8u2)
Description: Linux 4.9 for Alpha SMP
 The Linux kernel 4.9 and modules for use on DEC Alpha SMP systems with
 extended kernel start address (Wildfire, Titan, Marvel).
Build-Profiles: <!stage1>

Package: linux-headers-4.9.0-0.bpo.14-alpha-smp
Architecture: alpha
Depends: linux-headers-4.9.0-0.bpo.14-common (= ${source:Version}), linux-kbuild-4.9 (>= ${source:Version}), ${misc:Depends}, gcc-4.9
Description: Header files for Linux 4.9.0-0.bpo.14-alpha-smp
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.9.0-0.bpo.14-alpha-smp, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.9.0-0.bpo.14-alpha-smp, and can be used for
 building modules that load into the kernel provided by the
 linux-image-4.9.0-0.bpo.14-alpha-smp package.
Build-Profiles: <!stage1>

Package: linux-headers-4.9.0-0.bpo.14-all-amd64
Architecture: amd64
Depends: ${misc:Depends}, linux-headers-4.9.0-0.bpo.14-amd64 (= ${binary:Version}), linux-headers-4.9.0-0.bpo.14-rt-amd64 (= ${binary:Version})
Description: All header files for Linux 4.9 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 4.9, generally used for building out-of-tree
 kernel modules.
Build-Profiles: <!stage1>

Package: linux-image-4.9.0-0.bpo.14-amd64
Architecture: amd64
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [amd64] | linux-initramfs-tool [amd64]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-4.9, debian-kernel-handbook, grub-pc [amd64] | grub-efi-amd64 [amd64] | extlinux [amd64]
Breaks: initramfs-tools (<< 0.120+deb8u2)
Description: Linux 4.9 for 64-bit PCs
 The Linux kernel 4.9 and modules for use on PCs with AMD64, Intel 64 or
 VIA Nano processors.
 .
 This kernel also runs on a Xen hypervisor.  It supports both privileged
 (dom0) and unprivileged (domU) operation.
Build-Profiles: <!stage1>

Package: linux-headers-4.9.0-0.bpo.14-amd64
Architecture: amd64
Depends: linux-headers-4.9.0-0.bpo.14-common (= ${source:Version}), linux-kbuild-4.9 (>= ${source:Version}), ${misc:Depends}, linux-compiler-gcc-4.9-x86 (>= 3.16.51-3+deb8u2~), linux-compiler-gcc-4.9-x86 (<< 3.17) | linux-compiler-gcc-4.9-x86 (>= 4.9.82-1+deb9u1~)
Description: Header files for Linux 4.9.0-0.bpo.14-amd64
 This package provides the architecture-specific kernel header files for

=== debian/tests/control ===
Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.9.0-0.bpo.14-alpha-generic [alpha], linux-image-4.9.0-0.bpo.14-alpha-smp [alpha], linux-image-4.9.0-0.bpo.14-amd64 [amd64], linux-image-4.9.0-0.bpo.14-rt-amd64 [amd64], linux-image-4.9.0-0.bpo.14-arm64 [arm64], linux-image-4.9.0-0.bpo.14-marvell [armel], linux-image-4.9.0-0.bpo.14-armmp [armhf], linux-image-4.9.0-0.bpo.14-armmp-lpae [armhf], linux-image-4.9.0-0.bpo.14-parisc [hppa], linux-image-4.9.0-0.bpo.14-parisc64-smp [hppa], linux-image-4.9.0-0.bpo.14-686 [i386], linux-image-4.9.0-0.bpo.14-686-pae [i386], linux-image-4.9.0-0.bpo.14-rt-686-pae [i386], linux-image-4.9.0-0.bpo.14-m68k [m68k], linux-image-4.9.0-0.bpo.14-4kc-malta [mips mipsel], linux-image-4.9.0-0.bpo.14-5kc-malta [mips mipsel mips64 mips64el], linux-image-4.9.0-0.bpo.14-octeon [mips mipsel mips64 mips64el], linux-image-4.9.0-0.bpo.14-loongson-3 [mipsel mips64el], linux-image-4.9.0-0.bpo.14-powerpc [powerpc], linux-image-4.9.0-0.bpo.14-powerpc-smp [powerpc], linux-image-4.9.0-0.bpo.14-powerpc64 [powerpc ppc64], linux-image-4.9.0-0.bpo.14-powerpcspe [powerpcspe], linux-image-4.9.0-0.bpo.14-powerpc64le [ppc64el], linux-image-4.9.0-0.bpo.14-s390x [s390x], linux-image-4.9.0-0.bpo.14-sh7751r [sh4], linux-image-4.9.0-0.bpo.14-sh7785lcr [sh4], linux-image-4.9.0-0.bpo.14-sparc64 [sparc64], linux-image-4.9.0-0.bpo.14-sparc64-smp [sparc64]
Classes: smp

## linux-4.9 4.9.258

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 4
 PATCHLEVEL = 9
-SUBLEVEL = 246
+SUBLEVEL = 258
 EXTRAVERSION =
 NAME = Roaring Lionus
 
@@ -349,7 +349,7 @@
 AWK		= awk
 GENKSYMS	= scripts/genksyms/genksyms
 INSTALLKERNEL  := installkernel
-DEPMOD		= /sbin/depmod
+DEPMOD		= depmod
 PERL		= perl
 PYTHON		= python
 CHECK		= sparse
